%define ttfdir %_datadir/fonts/ttf/PTSans

Name: fonts-ttf-PTSans
Version: 2009.12
Release: alt1

Summary: ParaType Sans font
License: Freely distributable
Group: System/Fonts/True type
Url: http://fonts.ru/public/
Source: http://fonts.ru/public/PTSans.zip
# wget http://fonts.ru/public/pt_openlicense.asp -O license.ru.html
Source1: license.ru.html
# wget http://fonts.ru/public -O doc.ru.html
Source2: doc.ru.html
Source3: http://fonts.ru/public/Info_PT_Sans.pdf
Packager: Fr. Br. George <george@altlinux.ru>

BuildArch: noarch
PreReq: fontconfig
BuildRequires: mkfontscale, unzip

%description
ParaType Sans font familly

%prep
%setup -qc
cp %SOURCE1 %SOURCE2 %SOURCE3 .

%build

%install
mkdir -p %buildroot%ttfdir/
install -p *.ttf %buildroot%ttfdir/
mkfontscale %buildroot%ttfdir
ln -s fonts.scale %buildroot%ttfdir/fonts.dir

mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
ln -s ../../..%ttfdir %buildroot%_sysconfdir/X11/fontpath.d/ttf-PTSans:pri=50

%post
%_bindir/fc-cache %ttfdir ||:

%files
%doc *html *pdf
%_sysconfdir/X11/fontpath.d/*
%ttfdir

%changelog
* Mon Dec 28 2009 Fr. Br. George <george@altlinux.ru> 2009.12-alt1
- Initial build from scratch

